  <p>
    Pogledajmo sada kako površina interagira sa svjetlošću koju generira izvor. U prethodnim
    demonstracijama mogli ste primjetiti da su prikazane kugle različitih boja. No izvor je pri tome
    jedan. Razlog što smo u prikazu scene dobili kugle različitih boja jest činjenica da smo površine
    različitih kugli modelirali različitim materijalima.
  </p>

  <p>
    Kada svjetlost obasja određenu površinu, materijal dio valnih duljina apsorbira a dio reflektira.
    Dio svjetlosti koji je reflektiran dolazi do promatrača i određuje boju koju promatrač vidi. Primjerice,
    ako izvorom bijelog svjetla (svjetla koje sadrži sve valne duljine) obasjamo materijal koji apsorbira svjetlost
    iz spektra crvenih i plavih valnih duljina, površina će se promatraču činiti zelenom - jer su valne duljine
    zelenog spektra jedino što materijal ponovno reflektira.
  </p>
  <p>
    Da smo umjesto izvorom bijelog svijetla prethodnu površinu obasjali izvorom crvenog svjetla - materijal bi se promatraču
    činio potpuno crnim jer se nikakva svjetlost dalje ne bi reflektirala.
  </p>

  <p>
    Razmotrimo sada još jedan primjer iz stvarnog života. Pogledajte prema nekom drvenom stolu ili polici kod koje
    je drvo premazano tankim slojem prozirnog laka, kako bi se dobila glatka površina. Boja čitave površine
    odgovarat će boji drva osim na mjestima gdje vidite odbljesak nekog izvora svjetlosti (koji ne mora biti primarni izvor!):
    na tim mjestima površina drva će poprimiti boju koja je vrlo bliska boji samog izvora, neovisno o boji drva!
    Što se tu događa?
  </p>

  <p>
    Dio svjetlosti koja obasjava površinu prodire kroz lak do površine drva. Ta je površina vrlo hrapava pa se
    od nje svjetlost pod svim kutevima odbija natrag u prostor, ali samo one valne duljine koje drvo ne apsorbira.
    Taj dio svjetlosti koji se u prostor ponovno emitira pod svim kutevima za promatrača je vidljiv jednakim intenzitetom,
   neovisno o položaju na kojem se nalazi promatrač, i čini difuznu komponentu osvjetljenja materijala.
  </p>
  <p>
    Dio svjetlosti, međutim, ne dopire do same površine drva već se reflektira s površine laka, pri čemu se najčešće
    sve valne duljine reflektiraju podjednako, zbog čega ova komponenta zračenja prema promatraču generira osvjetljenje
    čija boja odgovara boji ulazne svjetlosti. U ovom slučaju radi se o zrcalnoj komponenti osvjetljenja površine.
    Ovisno o tome kako je lak napravljen, moguće je i da se sve valne duljine ne reflektiraju podjednako.
  </p>

  <img src="@#file#(dif-zrc.svg)" alt="Difuzna i zrcalna komponenta na površini">

  <p>
    Za pojavu opisanog efekta nije nužno da doista imamo "dvoslojni" materijal: svjetlost koja se odbija s plitkih slojeva
    materijala i svjetlost koja prodire dublje u materijal mogu se reflektirati na različite načine.
  </p>

  <p>
    Uz navedeno, OpenGL 1.1 predviđa mogućnost i da sam materijal emitira svjetlo (ali da ga se ne tretira kao izvor - gradimo model, a
    svaki model je pojednostavljenje). Primjerice, mogli bismo u sceni imati digitalni sat koji vrijeme prikazuje uporabom 7-segmentnih
    prikaznika, gdje je svaki segment načinjen od materijala koji emitira crvenu svjetlost.
  </p>

  <p>
    Kako bi podržao modeliranje svega spomenutoga, OpenGL 1.1 za svaki materijal predviđa sljedeći niz parametara.
  </p>

  <ol>
    <li>Intenziteti osvjetljenja koje emitira sam materijal: \(I_{ME} \) = (r,g,b).</li>
    <li>Koeficijenti reflektiranja ambijentnog osvjetljenja: \(k_{MA} \) = (r,g,b).</li>
    <li>Koeficijenti reflektiranja difuznog osvjetljenja: \(k_{MD} \) = (r,g,b).</li>
    <li>Koeficijenti reflektiranja zrcalnog osvjetljenja: \(k_{MR} \) = (r,g,b).</li>
    <li>Faktor <i>n</i> koji se koristi kod izračuna odbljeska.</li>
  </ol>

  <p>
   Koeficijenti su pri tome decimalni brojevi iz intervala [0,1], gdje iznos koeficijenta 
   govori koji udio dolazne svjetlosti materijal ponovno zrači. Primjerice, ako je intenzitet
   dolazne svjetlosti (1.0, 1.0, 0.0) što bi odgovaralo žutoj svjetlosti, a materijal ima koeficijente
   (0.8, 0.5, 1.0) odnosno zrači 80% primljene crvene komponente, 50% primljene zelene komponente i
   100% primljene plave komponente, svjetlost koju bi emitirao materijal bila bi proporcionalna
   umnošku:<br> (1.0, 1.0, 0.0)*(0.8, 0.5, 1.0) = (1.0*0.8, 1.0*0.5, 0.0*1.0) = (0.8, 0.5, 0.0)<br>
   što bi odgovaralo malo prigušenijoj žutoj boji koja je pomaknuta prema crvenom spektru. Primjetite, 
   množenje smo radili po komponentama.
  </p>

